Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		qca
Version:	2.0.2
Release:	3
Epoch:		1
License:	GNU/LGPL
URL:		http://delta.affinix.com/qca/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		qca-remove_whirlpool_usage.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Qt Cryptographic Architecture 2
#Automatically resolved build dependencies
BuildRequires: cyrus-sasl-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libstdc++-devel
BuildRequires: nspr-devel
BuildRequires: nss-devel
BuildRequires: openssl-devel
BuildRequires: qt4-devel

%description
Taking a hint from the similarly-named Java Cryptography Architecture,
QCA aims to provide a straightforward and cross-platform crypto API,
using Qt datatypes and conventions. QCA separates the API from the
implementation, using plugins known as Providers. The advantage of this
model is to allow applications to avoid linking to or explicitly depending
on any particular cryptographic library. This allows one to easily change
or upgrade crypto implementations without even needing to recompile the
application!

%package	devel
Summary:	Qt Cryptographic Architecture development files
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	devel
This packages contains the development files for QCA

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--release \
--no-separate-debug-info
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%_bindir/qcatool2
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root,-)
%_includedir
%_libdir/*.so
%_pkgconfig
%_libdir/libqca.prl
%_libdir/qt4/mkspecs/features/crypto.prf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 02 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.0.2-3
- add epoch for clean upgrade path
* Sun Nov 01 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.2-2
- rebuild for clean provides
* Fri May 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.0.2-1
- Version update
* Wed Mar 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.1-2
- moved devel files to right location
- added obsoletes for ossl and gnupg plugins
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0.1-1
- Version update
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0-1
- Version update
- cleaned specfile
* Sun Nov 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-5
- Version update - svn735313
* Tue Sep 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-4
- Version update - svn711210
* Mon Aug 13 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-3
- Version update - svn699488
* Tue Jun 26 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-2
- Version update - svn680412
* Tue Jun 5 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.99-1
- Initial Release - svn671925
